#ifndef h_pcx_h
#define h_pcx_h

typedef struct {
  UInt8	Manufacturer;
  UInt8	Version;
  UInt8	Encoding;
  UInt8	BitsPerPixel;
  UInt16	XMin;
  UInt16	YMin;
  UInt16	XMax;
  UInt16	YMax;
  UInt16	HDpi;
  UInt16	VDpi;
  UInt8	ColorMap[16][3];
  UInt8	Reserved;
  UInt8	NPlanes;
  UInt16	BytesPerLine;
  UInt16	PaletteInfo;
  UInt16	HScreenSize;
  UInt16	VScreenSize;
  UInt8	Pad[54];
} PCX_HEADER;

int SavePCX ( char * Filename, UInt8 *Image,
	      UInt32 XSize, UInt32 YSize, UInt8 *Palette,
	      UInt8 bpp16 );

// returns XSize, YSize
UInt8 *LoadPCX ( char *FileName, UInt8 *Palette,
		 UInt32 *XSize, UInt32 *YSize );

#endif
