/*
 * ZGrab.h
 *
 * Copyright 2003 Codejedi Inc.
 * Released under the GPL. Have fun, eat cake.
 *
 */
 
#ifndef ZGRAB_H_
#define ZGRAB_H_

typedef struct ZGrabPreferenceType {
  UInt8 replaceme;
} ZGrabPreferenceType;

extern ZGrabPreferenceType g_prefs;

#define appFileCreator			'CJZG'
#define appName					"ZGrab"
#define appVersionNum			0x01
#define appPrefID				0x00
#define appPrefVersionNum		0x01

/*
 * Never had time to finish adding bmp or libjpeg; this is too quick a hack.
 */
//#define BMPSUPPORT 1
#undef BMPSUPPORT

#define CREATORID 'CJZG'
#define VFSPATH "/PALM/Programs/ZGrab/"
#define VFSROOT "/PALM/Programs/"

typedef enum {
  res160 = 0, res320, res480, res640, resmax
} resolution_t;

extern resolution_t g_width;
extern resolution_t g_height;

typedef struct {
  UInt32 width;
  UInt32 height;
  UInt32 format;
  UInt32 flags;
  UInt32 nil1;
  UInt32 nil2;
  UInt32 nil3;
  UInt32 nil4;
} pref_t;

#define PREFID 0
#define PREFVERSION 0

UInt8 pref_fetch ( UInt32 *r_width, UInt32 *r_height );
UInt8 pref_write ( UInt32 width, UInt32 height );

UInt16 palm_vfs_count ( void );
UInt16 palm_vfs_iter ( void );
int update_field ( FormPtr f, int obid, char *newtext );

UInt8 notify_register ( void );
UInt8 notify_unregister ( void );
UInt8 notify_present_p ( void );
Err NotifyCallback ( SysNotifyParamType *notifyParamsP );
UInt16 find_hardkey ( void );

UInt8 do_screenshot ( void );

/* debug assist
 */
#define DEBUGU8(x) {                                   \
  char buffer [ 200 ];                                 \
  StrPrintF ( buffer, "%u", x );                       \
  FrmCustomAlert ( MessageAlert, buffer, NULL, NULL ); \
}

#define DEBUGU32(x) {                                  \
  char buffer [ 200 ];                                 \
  StrPrintF ( buffer, "%lu %lx", x, x );               \
  FrmCustomAlert ( MessageAlert, buffer, NULL, NULL ); \
}

#define DEBUGS(s) {                                    \
  FrmCustomAlert ( MessageAlert, s, NULL, NULL );      \
}

#endif /* ZGRAB_H_ */
