
#ifndef h_bmp_h
#define h_bmp_h

// unfinished

typedef struct {
  UInt16 type;                       // Magic identifier
  UInt32 size;                       // File size in bytes
  UInt16 reserved1, reserved2;
  UInt32 offset;                     // Offset to image data, bytes
} bmp_header_t;

typedef struct {
  UInt32 size;                       // Header size in bytes
  Int32 width,height;                // Width and height of image
  UInt16 planes;                     // Number of colour planes
  UInt16 bits;                       // Bits per pixel
  UInt32 compression;                // Compression type
  UInt32 imagesize;                  // Image size in bytes
  UInt32 xresolution,yresolution;    // Pixels per meter
  UInt32 ncolours;                   // Number of colours
  UInt32 importantcolours;           // Important colours
} bmp_info_t;

typedef enum {
  bmpCompressNone = 0,
  bmpCompress8rle,
  bmpCompress4rle,
  bmpCompressRGB
} bmp_compression_t;

int SaveBMP ( char *filename, UInt8 *image,
	      UInt32 width, UInt32 height, UInt8 bpp16 );

#endif
